package ru.crp.lvms.chart;

import com.fasterxml.jackson.annotation.JsonGetter;

import java.util.ArrayList;
import java.util.List;

public class Borders {
    private List<Point> points = new ArrayList<>();
    private BorderDescription xBorders = new BorderDescription();
    private BorderDescription yBorders = new BorderDescription();

    public void addPoint(Point point) {
        points.add(point);
    }

    public void addXLineBorder(LineDescription lineDescription) {
        xBorders.addLine(lineDescription);
    }

    public void addYLineBorder(LineDescription lineDescription) {
        yBorders.addLine(lineDescription);
    }

    public List<Point> getPoints() {
        return points;
    }

    public void setPoints(List<Point> points) {
        this.points = points;
    }

    @JsonGetter("x")
    public BorderDescription getxBorders() {
        return xBorders;
    }

    public void setxBorders(BorderDescription xBorders) {
        this.xBorders = xBorders;
    }

    @JsonGetter("y")
    public BorderDescription getyBorders() {
        return yBorders;
    }

    public void setyBorders(BorderDescription yBorders) {
        this.yBorders = yBorders;
    }
}
