package ru.crp.lvms.managers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import ru.crp.lvms.managers.misc.BaseManager;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.model.dao.SupportLetterDao;
import ru.crp.lvms.model.entities.SupportLetterEntity;

@Service
public class SupportLetterManager extends BaseManager<SupportLetterEntity> {

    @Autowired
    private SupportLetterDao supportLetterDao;

    @Override
    protected BaseSpaceDao<SupportLetterEntity> aliveDao() {
        return supportLetterDao;
    }
}
