package ru.crp.lvms.model.entities;

import ru.crp.cmls.calculations.solvers.xml.config.Type;

import javax.annotation.Nullable;
import java.util.HashSet;
import java.util.Set;

import static java.util.Collections.emptySet;

public class Solver {
    private String id;

    private String name;

    private Set<Type> taskTypes;

    private String description;

    private String memoryLimit;

    private Set<String> solvingTypes;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Set<Type> getTaskTypes() {
        return taskTypes;
    }

    public void setTaskTypes(@Nullable Set<Type> taskTypes) {
        this.taskTypes = taskTypes;
        if (taskTypes == null) {
            return;
        }
        if (taskTypes.isEmpty()) {
            solvingTypes = emptySet();
        }
        solvingTypes = new HashSet<>(2);
        if (taskTypes.contains(Type.datacheck)) {
            solvingTypes.add(Type.DATACHECK_STR);
        }
        if (taskTypes.contains(Type.solving)) {
            solvingTypes.add(Type.SOLVING_STR);
        }
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getMemoryLimit() {
        return memoryLimit;
    }

    public void setMemoryLimit(String memoryLimit) {
        this.memoryLimit = memoryLimit;
    }

    public Set<String> getSolvingTypes() {
        return solvingTypes;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
}
