package ru.crp.lvms.model.entities.compositeMaterials;

import ru.crp.lvms.web.dto.columns.GridColumn;
import ru.crp.lvms.web.dto.columns.GridColumnType;

public class TechnologyCompositeMaterial {
    @GridColumn(name = "name", label = "Название", order = 0, cell = GridColumnType.uri)
    private String name;
    private int id;

    @GridColumn(name = "matrix", label = "Матрица", cell = GridColumnType.uri, order = 9)
    private String matrix;
    private Integer matrixId;

    @GridColumn(name = "fiber", label = "Волокно", cell = GridColumnType.uri, order = 11)
    private String fiber;
    private Integer fiberId;

    @GridColumn(name = "epoxide", label = "Эпоксид", cell = GridColumnType.uri, order = 10)
    private String epoxide;
    private Integer epoxideId;

    @GridColumn(name = "owner", label = "Автор", cell = GridColumnType.uri, order = 6)
    private String owner;
    private Integer ownerId;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getMatrix() {
        return matrix;
    }

    public void setMatrix(String matrix) {
        this.matrix = matrix;
    }

    public Integer getMatrixId() {
        return matrixId;
    }

    public void setMatrixId(Integer matrixId) {
        this.matrixId = matrixId;
    }

    public String getFiber() {
        return fiber;
    }

    public void setFiber(String fiber) {
        this.fiber = fiber;
    }

    public Integer getFiberId() {
        return fiberId;
    }

    public void setFiberId(Integer fiberId) {
        this.fiberId = fiberId;
    }

    public String getEpoxide() {
        return epoxide;
    }

    public void setEpoxide(String epoxide) {
        this.epoxide = epoxide;
    }

    public Integer getEpoxideId() {
        return epoxideId;
    }

    public void setEpoxideId(Integer epoxideId) {
        this.epoxideId = epoxideId;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public Integer getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(Integer ownerId) {
        this.ownerId = ownerId;
    }
}
