package ru.crp.lvms.model.entities.misc;

import ru.crp.cmlb.model.entities.Column;

import java.util.List;

import static java.util.Collections.emptyList;

public class BaseEntityTable extends AuditableImpl {
    @Column(value = "path_names", onlySelect = true)
    private String pathNames;

    @Column(value = "path", isArray = true, onlySelect = true)
    private List<PathEntry> path = emptyList();

    public String getPathNames() {
        return pathNames;
    }

    public void setPathNames(String pathNames) {
        this.pathNames = pathNames;
    }

    public List<PathEntry> getPath() {
        return path;
    }

    public void setPath(List<PathEntry> path) {
        this.path = path;
    }
}
