package ru.crp.lvms.optimizations.base.entities;

import ru.crp.lvms.model.entities.FileEntity;
import ru.crp.lvms.web.dto.columns.GridColumn;

// is used for optimization materials and technologies (and mb other optimization dependencies)
public class OptimizationDependency {
    public int id;

    public int optimizationId;

    @GridColumn(name = "name", label = "Название", order = 1)
    public String name;

    public OptimizationDependency() {
    }

    public OptimizationDependency(int id, int optimizationId, String name) {
        this.id = id;
        this.optimizationId = optimizationId;
        this.name = name;
    }

    public OptimizationDependency(FileEntity file, Integer optimizationId) {
        this.id = file.getId();
        this.name = file.getName();
        this. optimizationId = optimizationId;
    }
}
