package ru.crp.lvms.optimizations.mf.entities;

public class MFVaryingParamInterval {

    private Integer varyingParamId;

    private Integer varyingParamIndex;

    private Double lowerBound;

    private Double upperBound;

    public MFVaryingParamInterval(Integer varyingParamId, Integer varyingParamIndex, Double lowerBound, Double upperBound) {
        this.varyingParamId = varyingParamId;
        this.varyingParamIndex = varyingParamIndex;
        this.lowerBound = lowerBound;
        this.upperBound = upperBound;
    }

    public boolean includes(Double value) {
        return lowerBound <= value && value <= upperBound;
    }

    public Integer getVaryingParamIndex() {
        return varyingParamIndex;
    }

    public void setVaryingParamIndex(Integer varyingParamIndex) {
        this.varyingParamIndex = varyingParamIndex;
    }

    public Double getLowerBound() {
        return lowerBound;
    }

    public void setLowerBound(Double lowerBound) {
        this.lowerBound = lowerBound;
    }

    public Double getUpperBound() {
        return upperBound;
    }

    public void setUpperBound(Double upperBound) {
        this.upperBound = upperBound;
    }

    public Integer getVaryingParamId() {
        return varyingParamId;
    }

    public void setVaryingParamId(Integer varyingParamId) {
        this.varyingParamId = varyingParamId;
    }
}
