
package ru.crp.lvms.optimizations.optimus.config.xml;

import javax.xml.bind.annotation.*;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GETTYPE", propOrder = {
        "var", "file","offset","key"
})
public class GetType {

    @XmlElement(name = "var", required = true)
    private String var;
    @XmlElement(name = "file", required = true)
    private String file;
    @XmlElement(name = "offset", required = true)
    private Integer offset;
    @XmlElement(name = "key", required = true)
    private String key;

    public GetType() {
    }

    public GetType(String var, String file, Integer offset, String key) {
        this.var = var;
        this.file = file;
        this.offset = offset;
        this.key = key;
    }

    public String getVar() {
        return var;
    }

    public void setVar(String var) {
        this.var = var;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }
}
