
package ru.crp.lvms.optimizations.optimus.config.xml;

import ru.crp.lvms.optimizations.optimus.config.xml.*;

import javax.xml.bind.annotation.*;


@XmlRootElement(name = "OPTIMUS")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OPTIMUSType", propOrder = {
    "factors", "responses", "dependencies", "experiment", "sequence", "decks"

})
public class OptimusConfigRoot {

    @XmlElement(name = "FACTORS", required = true)
    protected FactorsType factors;

    @XmlElement(name = "RESPONSES", required = true)
    protected ResponsesType responses;

    @XmlElement(name = "DEPENDENCIES", required = true)
    protected DependenciesType dependencies;

    @XmlElement(name = "EXPERIMENT", required = true)
    protected ExperimentType experiment;

    @XmlElement(name = "SEQUENCE", required = true)
    protected SequenceType sequence;

    @XmlElement(name = "DECKS", required = true)
    protected DecksType decks;


    public OptimusConfigRoot() {
        factors = new FactorsType();
    }

    public FactorsType getFactors() {
        return factors;
    }

    public void setFactors(FactorsType value) {
        this.factors = value;
    }

    public ResponsesType getResponses() {
        return responses;
    }

    public void setResponses(ResponsesType responses) {
        this.responses = responses;
    }

    public DependenciesType getDependencies() {
        return dependencies;
    }

    public void setDependencies(DependenciesType dependencies) {
        this.dependencies = dependencies;
    }

    public ExperimentType getExperiment() {
        return experiment;
    }

    public void setExperiment(ExperimentType experiment) {
        this.experiment = experiment;
    }

    public SequenceType getSequence() {
        return sequence;
    }

    public void setSequence(SequenceType sequence) {
        this.sequence = sequence;
    }

    public DecksType getDecks() {
        return decks;
    }

    public void setDecks(DecksType decks) {
        this.decks = decks;
    }
}
