package ru.crp.lvms.optimizations.optimus.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.optimizations.mf.entities.MFOptimizationBaseSetting;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettignsDao;
import ru.crp.lvms.optimizations.optimus.entities.OptimusOptimizationBaseSetting;

@Repository
public class OptimusOptimizationBaseSettingsDao extends AbstractOptimizationSettignsDao<OptimusOptimizationBaseSetting> {
    public OptimusOptimizationBaseSetting getBaseSettingsByType(int optimizationId, int typeId) {
        return findOne("WHERE optimization_id = ? AND type_id = ?", optimizationId, typeId);
    }
}
