package ru.crp.lvms.optimizations.optistruct.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructTFAtti;

import java.util.List;

@Repository
public class OptistructTFAttiDao extends BaseSpaceDao<OptistructTFAtti> {

    public List<OptistructTFAtti> findAllowed(Integer tfId) {
        return find("JOIN optistruct_tf_allowed_atti " +
                "ON optistruct_tf_allowed_atti.atti_id = o.id " +
                "WHERE optistruct_tf_allowed_atti.tf_id = ?", tfId);
    }

}
