package ru.crp.lvms.optimizations.optistruct.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;

@Table("optistruct_optimization_tf_join")
public class OptistructOptimizationTF extends OptistructOptimizationTFOrConstraint {
    @Column("optimization_type_name")
    private String optimizationTypeName;

    public OptistructOptimizationTF() {
        super();
    }

    public OptistructOptimizationTF(int optimizationId, String name) {
        super(optimizationId, name);
    }

    public OptistructOptimizationTF(int optimizationId, String name, Integer tfId) {
        super(optimizationId, name);
        setTfId(tfId);
    }

    public String getOptimizationTypeName() {
        return optimizationTypeName;
    }

    public void setOptimizationTypeName(String optimizationTypeName) {
        this.optimizationTypeName = optimizationTypeName;
    }
}
