package ru.crp.lvms.optimizations.optistruct.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettings;

public abstract class OptistructOptimizationTFOrConstraint extends AbstractOptimizationSettings {

    @Column("tf_id")
    private Integer tfId;

    @Column("atta_id")
    private Integer attaId;

    @Column("atta_value")
    private String attaValue;

    @Column("atti_id")
    private Integer attiId;

    @Column("atti_value")
    private String attiValue;

    @Column("tf_response")
    private String tfResponse;

    @Column("atta_name")
    private String attaName;

    @Column("atti_name")
    private String attiName;

    @Column("loadstep_id")
    private Integer loadingId;

    @Column("loadstep_name")
    private String loadingName;

    @Column("lnset_id")
    private Integer lnsetId;

    @Column("lnset_name")
    private String lnsetName;

    public OptistructOptimizationTFOrConstraint() {
        super();
    }

    public OptistructOptimizationTFOrConstraint(int optimizationId, String name) {
        super(optimizationId, name);
    }

    public Integer getTfId() {
        return tfId;
    }

    public void setTfId(Integer tfId) {
        this.tfId = tfId;
    }

    public Integer getAttaId() {
        return attaId;
    }

    public void setAttaId(Integer attaId) {
        this.attaId = attaId;
    }

    public String getAttaValue() {
        return attaValue;
    }

    public void setAttaValue(String attaValue) {
        this.attaValue = attaValue;
    }

    public Integer getAttiId() {
        return attiId;
    }

    public void setAttiId(Integer attiId) {
        this.attiId = attiId;
    }

    public String getAttiValue() {
        return attiValue;
    }

    public void setAttiValue(String attiValue) {
        this.attiValue = attiValue;
    }

    public String getTfResponse() {
        return tfResponse;
    }

    public void setTfResponse(String tfResponse) {
        this.tfResponse = tfResponse;
    }

    public String getAttaName() {
        return attaName;
    }

    public void setAttaName(String attaName) {
        this.attaName = attaName;
    }

    public String getAttiName() {
        return attiName;
    }

    public void setAttiName(String attiName) {
        this.attiName = attiName;
    }

    public Integer getLoadingId() {
        return loadingId;
    }

    public void setLoadingId(Integer loadingId) {
        this.loadingId = loadingId;
    }

    public String getLoadingName() {
        return loadingName;
    }

    public void setLoadingName(String loadingName) {
        this.loadingName = loadingName;
    }

    public Integer getLnsetId() {
        return lnsetId;
    }

    public void setLnsetId(Integer lnsetId) {
        this.lnsetId = lnsetId;
    }

    public String getLnsetName() {
        return lnsetName;
    }

    public void setLnsetName(String lnsetName) {
        this.lnsetName = lnsetName;
    }
}