package ru.crp.lvms.optimizations.optistruct.entities;


import com.fasterxml.jackson.annotation.JsonIgnore;
import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;

@Table("optistruct_tf_atta")
public class OptistructTFAtta implements Entity {

    private int id;

    @Column("name")
    private String name;

    @JsonIgnore
    @Column("prop_id")
    private String propId;

    public String getPropId() {
        return propId;
    }

    public void setPropId(String propId) {
        this.propId = propId;
    }

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
