package ru.crp.lvms.pdf.reports.vo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "parameter")
@XmlAccessorType(XmlAccessType.FIELD)
public class SimpleParameter extends Parameter {
    private String name;
    private String value;

    public SimpleParameter() {
    }

    SimpleParameter(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    void setComposite() {
        this.isComposite = false;
    }
}
