package ru.crp.lvms.tasks.slurm.exceptions;

public class SlurmNonZeroExitCodeException extends RuntimeException {
    private final Integer exitStatus;
    private final String exitErrorMessage;

    public SlurmNonZeroExitCodeException(Integer exitStatus, String exitErrorMessage) {
        this.exitStatus = exitStatus;
        this.exitErrorMessage = exitErrorMessage;
    }

    public Integer getExitStatus() {
        return exitStatus;
    }

    public String getExitErrorMessage() {
        return exitErrorMessage;
    }
}
