package ru.crp.lvms.validators;

import javax.validation.Constraint;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.FIELD;


@Target({FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {EntityExistsValidator.class})
@Documented
public @interface EntityExists {
    String message();

    Class<?> entityClass();

    Class<?>[] groups() default {};

    Class<? extends javax.validation.Payload>[] payload() default {};
}

