package ru.crp.lvms.web.controllers.technology;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.crp.lvms.managers.misc.PreferencesManager;
import ru.crp.lvms.model.entities.effective.characteristics.ECEntity;
import ru.crp.lvms.model.entities.technology.TechnologySimulationsEntity;
import ru.crp.lvms.web.controllers.misc.ColumnsController;

@RestController
@RequestMapping(value = "/technologySimulations", produces = MediaType.APPLICATION_JSON_VALUE)
public class TechnologySimulationsControllerColumns implements ColumnsController {
    @Autowired
    private PreferencesManager preferencesManager;

    @Override
    public Class getOutVoClass() {
        return TechnologySimulationsEntity.class;
    }

    @Override
    public PreferencesManager getPreferencesManager() {
        return preferencesManager;
    }
}
