-- trigger for auto updating start solving date
CREATE OR REPLACE FUNCTION update_task_start_exec_date() RETURNS TRIGGER AS $body$
    BEGIN
    -- if solving status changed and new status is 'Starting'
      IF NEW.status_id <> OLD.status_id AND NEW.status_id = 3 THEN
          NEW.start_exec_date := now();
      END IF;
      RETURN NEW;
    END;
$body$ LANGUAGE plpgsql;