CREATE TABLE effective_characteristics_allowed_defects (
  id SERIAL,
  defect_id INTEGER NOT NULL REFERENCES possible_defects_names(id) ON DELETE CASCADE
);

INSERT INTO effective_characteristics_allowed_defects(defect_id) VALUES (1), (2), (3), (4);

CREATE VIEW effective_characteristics_allowed_defects_names AS (
  SELECT pdn.id as id, pdn.name as name
  FROM effective_characteristics_allowed_defects ecad
  JOIN possible_defects_names pdn
    ON ecad.defect_id = pdn.id
);
