#!/bin/sh
#SBATCH -p ${partitionName}
#SBATCH -N ${numOfNodes}
#SBATCH -o ${stdOutFile}        # STDOUT
#SBATCH -e ${stdErrFile}        # STDERR
#SBATCH -vvv # log verbosity
#SBATCH -D ${outputDir}
#SBATCH -J ${taskName}

MACHINEFILE="nodes.$SLURM_JOB_ID"
srun -l /bin/hostname -I | sort -n | awk '{print $2}' > $MACHINEFILE
/lustre/opt/software/ansys/v162/commonfiles/MPI/Platform/9.1.2.1/linx64/bin/mpirun -np $SLURM_NTASKS -machinefile $MACHINEFILE ${commandLine}

#rm $MACHINEFILE
