/**
 * Created by lexeek on 13.09.14.
 */

App.module("SidebarModule", {
  startWithParent: false,

  define: function (Sidebar, App, Backbone, Marionette, $, _) {

    var Controller = new App.Controllers.SidebarController();

    window.App.commands.setHandler("sidebar:show", function (options) {
      Controller.showSidebar(_.extend({}, options));

      window.App.execute("sidebar:show-tree", {treeType: "materials"});
      window.App.execute("sidebar:show-tree", {treeType: "compositeMaterials"}); //fixme NEED backend
      window.App.execute("sidebar:show-tree", {treeType: "technologies"});
      window.App.execute("sidebar:show-tree", {treeType: "constructionElements"});
      window.App.execute("sidebar:show-tree", {treeType: "optimizations"});
    });

  }
});