/**
 * Created by lexeek on 23.09.14.
 */

(function () {
  "use strict";
  window.App.Utils.ActiveSpinner = null;

  var AppSpinner = function(opts) {
    this.opts = opts || {
      lines: 13, // The number of lines to draw
      length: 20, // The length of each line
      width: 10, // The line thickness
      radius: 30, // The radius of the inner circle
      corners: 1, // Corner roundness (0..1)
      rotate: 0, // The rotation offset
      direction: 1, // 1: clockwise, -1: counterclockwise
      color: '#000', // #rgb or #rrggbb or array of colors
      speed: 1, // Rounds per second
      trail: 60, // Afterglow percentage
      shadow: false, // Whether to render a shadow
      hwaccel: false, // Whether to use hardware acceleration
      className: 'spinner', // The CSS class to assign to the spinner
      zIndex: 2e9, // The z-index (defaults to 2000000000)
      top: '50%', // Top position relative to parent
      left: '50%' // Left position relative to parent
    };

    this.spinner = new Spinner(this.opts);
  };

  AppSpinner.prototype = {
    show: function(target) {
      this.target = (document.getElementById(target) || document.body);
      window.App.Utils.ActiveSpinner = window.App.Utils.ActiveSpinner === null ? this.spinner : window.App.Utils.ActiveSpinner;
      window.App.Utils.ActiveSpinner.spin(this.target)
      $.blockUI({message:''});
    },
    hide: function () {
      this.spinner.stop();
      $.unblockUI();
      window.App.Utils.ActiveSpinner = null;
    }
  };
  window.App.Utils.Spinner = AppSpinner;
}());
