(function () {
  "use strict";

  window.App.Views.AdminView = Marionette.LayoutView.extend({

    template: "./views/templates/admin/_admin_view.html.ejs",

    id: "admin-content-view",

    className: "col-lg-12",

    regions: {
      adminNavigationRegion: "#admin-nav-region",
      adminActionsRegion: "#admin-actions-region",
      adminMainRegion: "#admin-main-region"
    },

    onShow: function () {
      this.showAdminNavigation();
    },

    showAdminNavigation: function () {
      this.adminNavigationView = new window.App.Views.AdminNavigationView();
      this.adminNavigationRegion.show(this.adminNavigationView);
    },

    setActiveMenuItem : function(item) {
      this.adminNavigationView.setActiveMenuItem(item);
    }


  });

}());