(function () {
  "use strict";

  window.App.Views.ProjectView = Marionette.LayoutView.extend({

    template: "./views/templates/project/_project_layout.html.ejs",

    id: "project-content-view",

    className: "col-lg-12",

    regions: {
      navRegion: "#project-nav-region",
      projectActionsRegion: "#project-actions-region",
      projectMainRegion: "#project-main-region"
    },

    onShow: function () {
      this.showProjectNavigation();
    },

    showProjectNavigation: function () {
        var navView = new App.Views.ProjectNavView({model: App.Data.UserProfile});
        this.navRegion.show(navView);
    }
  });

}());