window.PathInputField = React.createClass({
  getInitialState: function () {
    return { path: this.props.path };
  },
  onClick: function () {
    if (this.props.disabled) return false;
    this.changePathModalView = new window.App.Views.ChangePathModal({ treeType: "optimizations", onlyFolders: false });
    this.changePathModal = new Backbone.BootstrapModal({
      content: this.changePathModalView,
      title: "Выбрать путь",
      animate: true,
      cancelText: "Отменить",
      okText: "Сохранить"
    }).open();
    this.changePathModalView.on("path:select:done", this.pathSelectDone);
  },
  pathSelectDone: function (treeNode) {
    this.setState({ path: window.App.Helpers.ShowPath(treeNode.path) });
    this.props.optimization.set({ pid: treeNode.id });
  },
  render: function () {
    var opts = {
      className: "form-control",
      disabled: this.props.disabled ? "disabled" : ""
    };
    if (!this.props.disabled) opts["onClick"] = this.onClick;
    return (
      <div>
        <div className="col-md-3">
          <label for="name">{this.props.label}:</label>
        </div>
        <div className="col-md-9">
          <div {...opts}>
            <a href="javascript:void(0)" data-toggle="tooltip" title={this.state.path}>{this.state.path}</a>
          </div>
        </div>
      </div>
    )
  }
});