(function () {
  "use strict";

  window.App.Views.EffectiveCharacteristicDefectsView = Marionette.CompositeView.extend({
    template: "./views/templates/project/effective_characteristics/effective_characteristic_defects.html.ejs",
    className: "ui-effective-characteristic-defects table table-condensed table-striped table-hovered table-responsive table-bordered ui-customized-table",
    tagName: "table",
    childViewContainer: ".js-defects-container",
    childViewOptions: function (model, index) {
      return {
        mode: this.options.mode,
        twoOrThree: this.options.twoOrThree
      }
    },
    childView: window.App.Views.EffectiveCharacteristicDefectView,
    initialize: function (options) { this.options = options || {}; }
  });

})();