window.OptimizationDescription = React.createClass({
  getInitialState: function () {
    return this.props.optimization.toJSON();
  },

  onChange: function (e) {
    if (e.target.value == "") return false;
    const state = {};
    state[e.target.id] = e.target.value;
    this.setState(state);
    this.props.optimization.set(state);
  },

  onBlur: function () {
    this.props.optimization.save(null, {async: false});
  },

  render: function () {
    var opts = {
      onChange: this.onChange,
      onBlur: this.onBlur,
      value: _.isNull(this.state.description) ? "" : this.state.description
    };
    return (
      <div className="ui-optimization-main-form">
        <div className="row form-group">
          <window.DescriptionInputField id="description" label="Описание" placeholder="Описание оптимизации" disabled={this.props.isView} {...opts} />
        </div>
      </div>
    )
  }
});