package ru.crp.lvms.construction.element;

import org.jetbrains.annotations.Nullable;
import org.springframework.mock.web.MockMultipartFile;
import ru.crp.lvms.BaseIT;
import ru.crp.lvms.utils.TestUtils;

import java.util.Collections;

import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;
import static ru.crp.lvms.utils.TestUtils.unique;

public class BaseCEIT extends BaseIT {
    protected  <T> T uploadFile(@Nullable Integer id, String url, Class<T> responseClass) throws Exception {
        if (id != null) {
            url = url + "/" + id;
        }
        String docContent = ("fileContent");
        MockMultipartFile doc = new MockMultipartFile("file", unique("fileName"),
                null, docContent.getBytes());
        return TestUtils.performRequestWithFiles(url, mockMvc, null, null, Collections.singletonList(doc),
                status().isOk(), responseClass);
    }
}
