#!/bin/bash


INPUT_DIR=$1
SEARCH_REGEX=$2
OUTPUT_FILE=$3

if [[ -z $INPUT_DIR ]] ; then
	echo "INPUT directory parameter is empty, Use ."
	INPUT_DIR="."
fi

if [[ -z $SEARCH_REGEX ]] ; then
	echo "Filename regex is empty. Use *.*"
	SEARCH_REGEX="*.*"
fi

if [[ -z $OUTPUT_FILE ]] ; then
	echo "Output file parameter is empty. Write result to code.txt"
	OUTPUT_FILE=code.txt
fi

if [ -f $OUTPUT_FILE ] ; then
	rm $OUTPUT_FILE
fi

for source_file in `find $INPUT_DIR -name $SEARCH_REGEX`
do
	echo >> $OUTPUT_FILE
	echo "______ $source_file ______" >> $OUTPUT_FILE
	echo >> $OUTPUT_FILE
	cat $source_file >> $OUTPUT_FILE
done
