package ru.crp.lvms.cluster.model;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;

@Table("clusters")
public class ClusterEntity implements Entity {
    private int id;

    @Column("type_id")
    private int typeId;

    @Column("enabled")
    private boolean isEnabled;

    @Column("name")
    private String name;

    private ClusterType type;

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public int getTypeId() {
        return typeId;
    }

    public void setTypeId(int typeId) {
        this.typeId = typeId;
        this.type = typeId == 0 ? null : ClusterType.valueOf(typeId);
    }

    public boolean getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ClusterType getType() {
        return type;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        ClusterEntity that = (ClusterEntity) o;

        return id == that.id;

    }

    @Override
    public int hashCode() {
        return id;
    }
}
