package ru.crp.lvms.model.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;
import ru.crp.lvms.web.dto.columns.GridColumnType;

import javax.annotation.Nullable;

@Table("columns_preferences")
public class ColumnPrefsEntity implements Entity {
    private int id;

    @Column("user_id")
    private int userId;

    @Column("table_name")
    private String tableName;

    @Column("name")
    private String name;

    @Column("label")
    private String label;

    @Column("is_excluded")
    private boolean isExcluded;

    @Column("order_num")
    private int order;

    @Column("width")
    private Integer width;

    @Column("perpage")
    private Integer perpage;

    @Column("cell")
    private GridColumnType cell;

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public boolean getIsExcluded() {
        return isExcluded;
    }

    public void setIsExcluded(boolean isExcluded) {
        this.isExcluded = isExcluded;
    }

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public GridColumnType getCell() {
        return cell;
    }

    public void setCell(GridColumnType cell) {
        this.cell = cell;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public Integer getPerpage() {
        return perpage;
    }

    public void setPerpage(Integer perpage) {
        this.perpage = perpage;
    }

    @Override
    public boolean equals(@Nullable Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        ColumnPrefsEntity that = (ColumnPrefsEntity) o;

        return id == that.id;

    }

    @Override
    public int hashCode() {
        return id;
    }
}
