package ru.crp.lvms.model.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.lvms.web.dto.columns.GridColumn;
import ru.crp.lvms.web.dto.columns.GridColumnType;

import java.util.List;

@Table("materials_join")
public class MaterialEntity extends MaterialEntityTable {
    @GridColumn(name = "owner", label = "Автор", cell = GridColumnType.uri, order = 5)
    @Column("owner")
    private String owner;

    @GridColumn(name = "type", label = "Тип", order = 6)
    @Column("type")
    private String type;

    private List<FileEntity> materialFiles;

    private List<ParameterValues> parameterValues;

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public List<FileEntity> getMaterialFiles() {
        return materialFiles;
    }

    public void setMaterialFiles(List<FileEntity> materialFiles) {
        this.materialFiles = materialFiles;
    }

    public List<ParameterValues> getParameterValues() {
        return parameterValues;
    }

    public void setParameterValues(List<ParameterValues> parameterValues) {
        this.parameterValues = parameterValues;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
