
package ru.crp.lvms.optimizations.mf.config.xml;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PROPERTYType", propOrder = {
        "value"
})
public class PropertyType {

    @XmlAttribute(name = "value")
    protected String value;
    @XmlAttribute(name = "name")
    protected String name;
    @XmlAttribute(name = "keys")
    protected String keys;
    @XmlAttribute(name = "options")
    protected String options;

    public PropertyType() {
    }

    public PropertyType(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getValue() {
        return value;
    }


    public void setValue(String value) {
        this.value = value;
    }


    public String getName() {
        return name;
    }


    public void setName(String value) {
        this.name = value;
    }


    public String getKeys() {
        return keys;
    }


    public void setKeys(String value) {
        this.keys = value;
    }


    public String getOptions() {
        return options;
    }


    public void setOptions(String value) {
        this.options = value;
    }

}
