
package ru.crp.lvms.optimizations.optimus.config.xml;

import javax.xml.bind.annotation.*;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FACTORLIST", propOrder = {
        "var", "low","high","step","nominal"
})
public class FactorList {

    @XmlAttribute(name = "name")
    private String name;
    @XmlAttribute(name = "range")
    private String range;
    @XmlAttribute(name = "type")
    private String type;

    @XmlElement(name = "var", required = true)
    private String var;
    @XmlElement(name = "low", required = true)
    private Double low;
    @XmlElement(name = "high", required = true)
    private Double high;
    @XmlElement(name = "step", required = true)
    private Double step;
    @XmlElement(name = "nominal", required = true)
    private Double nominal;

    public FactorList() {
    }

    public FactorList(String name,String range, String type, String var, Double low, Double high, Double step,  Double nominal) {
        this.name = name;
        this.range = range;
        this.type = type;
        this.var = var;
        this.low = low;
        this.high = high;
        this.step = step;
        this.nominal = nominal;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRange() {
        return range;
    }

    public void setRange(String range) {
        this.range = range;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getVar() {
        return var;
    }

    public void setVar(String var) {
        this.var = " ";
    }


    public Double getLow() {
        return low;
    }

    public void setLow(Double low) {
        this.low = low;
    }

    public Double getHigh() {
        return high;
    }

    public void setHigh(Double high) {
        this.high = high;
    }

    public Double getStep() {
        return step;
    }

    public void setStep(Double step) {
        this.step = step;
    }

    public Double getNominal() {
        return nominal;
    }

    public void setNominal(Double nominal) {
        this.nominal = nominal;
    }
}
