package ru.crp.lvms.optimizations.optimus.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.optimizations.mf.entities.MFOptimizationCADVaryingParam;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettignsDao;
import ru.crp.lvms.optimizations.optimus.entities.OptimusOptimizationCADVaryingParam;

import java.util.List;

@Repository
public class OptimusOptimizationCADVaryingParamsDao extends AbstractOptimizationSettignsDao<OptimusOptimizationCADVaryingParam> {
    @Override
    public List<OptimusOptimizationCADVaryingParam> findForOptimization(int optimizationId) {
        return find("WHERE optimization_id = ? ORDER BY id", optimizationId);
    }
}
