package ru.crp.lvms.optimizations.optimus.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettings;

@Table("optimus_optimization_cad_varying_params_join")
public class OptimusOptimizationCADVaryingParam extends AbstractOptimizationSettings {
    @Column("lower_bound")
    private Double lowerBound;

    @Column("upper_bound")
    private Double upperBound;

    @Column("sampling")
    private Integer sampling;

    public OptimusOptimizationCADVaryingParam() {
    }

    public OptimusOptimizationCADVaryingParam(int optimizationId, String name) {
        super(optimizationId, name);
    }

    public Double getLowerBound() {
        return lowerBound;
    }

    public void setLowerBound(Double lowerBound) {
        this.lowerBound = lowerBound;
    }

    public Double getUpperBound() {
        return upperBound;
    }

    public void setUpperBound(Double upperBound) {
        this.upperBound = upperBound;
    }

    public Integer getSampling() {
        return sampling;
    }

    public void setSampling(Integer sampling) {
        this.sampling = sampling;
    }

}

