package ru.crp.lvms.optimizations.optimus.entities;

import com.fasterxml.jackson.annotation.JsonIgnore;
import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettings;

@Table("optimus_optimization_target_funcs_join")
public class OptimusOptimizationTargetFunc extends AbstractOptimizationSettings {
    @Column(value = "func_name", onlySelect = true)
    private String func;

    @Column("func_id")
    private Integer funcId;

    public OptimusOptimizationTargetFunc() {
        super();
    }

    public OptimusOptimizationTargetFunc(int optimizationId, String name, Integer funcId) {
        super(optimizationId, name);
        this.funcId = funcId;
    }

    public Integer getFuncId() {
        return funcId;
    }

    public void setFuncId(Integer funcId) {
        this.funcId = funcId;
    }

    @JsonIgnore
    public String getFunc() {
        return func;
    }

    @JsonIgnore
    public void setFunc(String func) {
        this.func = func;
    }
}
