package ru.crp.lvms.optimizations.optistruct.controllers;

import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructOptimizationTF;
import ru.crp.lvms.optimizations.optistruct.enums.OptistructBaseSettingType;
import ru.crp.lvms.optimizations.optistruct.enums.OptistructSettingsType;

import static ru.crp.lvms.utils.URLs.OPTISTRUCT_TF_URL;

@RestController
@RequestMapping(value = OPTISTRUCT_TF_URL, produces = MediaType.APPLICATION_JSON_VALUE)
public class OptistructTFController extends OptistructAbstractOptimizationSettingsController<OptistructOptimizationTF> {

    @Override
    protected OptistructBaseSettingType getOptistructOptimizationBaseSettingType() {
        return OptistructBaseSettingType.NUM_TARGET_FUNCS;
    }

    @Override
    protected OptistructSettingsType getSettingsType() {
        return OptistructSettingsType.TargetFunction;
    }

}
