package ru.crp.lvms.optimizations.optistruct.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructTFPtype;

import java.util.List;

@Repository
public class OptistructTFPtypeDao extends BaseSpaceDao<OptistructTFPtype> {

    public List<OptistructTFPtype> findAllowed(Integer tfId) {
        return find("JOIN optistruct_tf_allowed_ptype " +
                "ON optistruct_tf_allowed_ptype.ptype_id = o.id " +
                "WHERE optistruct_tf_allowed_ptype.tf_id = ?", tfId);
    }

}
