package ru.crp.lvms.optimizations.tosca.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;

@Table("toska_constraints_join")
public class ToscaConstraint extends ToscaTargetFunction {

    @Column("value")
    private String value;

    @Column("isAbsolute")
    private Boolean isAbsolute;

    public ToscaConstraint() {
        isAbsolute = false;
    }

    public ToscaConstraint(int newOptimizationId, int defaultParameterId, String name) {
        isAbsolute = false;
        setOptimizationId(newOptimizationId);
        setParameterId(defaultParameterId);
        setName(name);
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Boolean getIsAbsolute() {
        return isAbsolute;
    }

    public void setIsAbsolute(Boolean absolute) {
        isAbsolute = absolute;
    }
}
