package ru.crp.lvms.utils;

import com.google.common.base.CaseFormat;
import ru.crp.cmlb.model.entities.base.Entity;

public class NamingUtils {
    public static String getHumanReadableClassName(Class clazz) {
        if (Entity.class.isAssignableFrom(clazz))
            return camelToSpaces(clazz.getSimpleName().replace("Entity", ""));
        return camelToSpaces(clazz.getSimpleName());
    }

    // CamelCase to spaces
    public static String camelToSpaces(String camelCase) {
        return CaseFormat.UPPER_CAMEL.to(CaseFormat.LOWER_HYPHEN, camelCase).replace('-', ' ');
    }
}
