ALTER TABLE equipments DROP COLUMN technology_id;
CREATE TABLE technologies_equipments (
  id            SERIAL,
  technology_id INTEGER NOT NULL,
  equipment_id  INTEGER NOT NULL,

  PRIMARY KEY (id),
  FOREIGN KEY (technology_id) REFERENCES technologies (id) ON DELETE CASCADE,
  FOREIGN KEY (equipment_id) REFERENCES equipments (id) ON DELETE CASCADE
);

ALTER TABLE technology_parameters
DROP CONSTRAINT technology_parameters_technology_id_fkey,
ADD CONSTRAINT technology_parameters_technology_id_fkey FOREIGN KEY (technology_id) REFERENCES technologies (id) ON DELETE CASCADE;

ALTER TABLE possible_defects
DROP CONSTRAINT possible_defects_technology_id_fkey,
ADD CONSTRAINT possible_defects_technology_id_fkey FOREIGN KEY (technology_id) REFERENCES technologies (id) ON DELETE CASCADE;