(function () {
  "use strict";

  window.App.Collections.PlotParameterValues = Backbone.Collection.extend({
    comparator: 'temperature',
    url: function () {
      return "rest/" + this.options.materialType + "/" + this.options.materialId + "/parameters/" + this.options.parameterId;
    },

    initialize: function (options) {
      this.options = options || {};
    },

    model: window.App.Models.PlotParameterValue
  });
})();