(function () {
  "use strict";
  window.App.Views.CompositeMaterialEffectiveCharacteristicsPage = window.App.Views.CompositeMaterialFilesPage.extend({
    initialize: function (options) {
      window.App.Views.CompositeMaterialFilesPage.__super__.initialize.apply(this, arguments);
      this.page = "effectiveCharacteristics";
    },

    initAndDrawTables: function () {
      var gridCollection = new window.App.Collections.EffectiveCharacteristics([], {
        dependsOnParent: false,
        pageable: true,
        filters: _.extend({ compositeMaterialId: this.model.id }, this.options.filters) || null
      });

      this.filesView = new window.App.Views.EffectiveCharacteristicsView(_.extend({
        gridCollection: gridCollection,
        actions: ["open", "new", "delete"],
        title: "Эффективные характеристики",
        type: this.options.type
      }, {}));
      this.getRegion("mainRegion").show(this.filesView);
    }

  });

})();