window.OptimizationTechnologicalConstraintsFields = React.createClass({
  getInitialState: function () {
    return {
      shown: false
    }
  },

  mapTreeLevelTemplates: function (nodes, areChildren) {
    return nodes.filter((node, index) => {
      return !node.isDisabled;
    }).map((node, index)=> {
      if (!_.isEmpty(node.children)) {
        return (
          <div key={node.id} className="row ui-technological-constraint-parameters-row">
            {this.nodeTemplate(node, areChildren)}
            <div className="col-md-12">{this.mapTreeLevelTemplates(node.children, true)}</div>
          </div>
        );
      } else {
        return <div key={node.id} className="row ui-technological-constraint-parameters-row">{this.nodeTemplate(node, areChildren)}</div>;
      }
    });
  },

  nodeTemplate: function (node, isChild) {
    return <window.OptimizationTechnologicalConstraintField isView={this.props.isView} fields={this.props.fields} node={node} isChild={isChild} url={this.props.optimizationFieldsURL} onSelectUpdate={this.props.onSelectUpdate} />;
  },

  onExpandClick: function () {
    this.setState({ shown: !this.state.shown });
  },

  render: function () {
    return (
      <div className="ui-technological-constraint-parameters clearfix">
        <div className="ui-technological-constraint-parameters-header clearfix">
          Параметры технологического ограничения
          <button className="btn btn-info btn-xs ui-minimize pull-right" onClick={this.onExpandClick}>
            {this.state.shown ? "Свернуть" : "Развернуть"}
          </button>
        </div>
        <div className="col-md-12 p-l-20" style={{display: this.state.shown ? "" : "none"}}>
          {this.mapTreeLevelTemplates(this.props.tree, false)}
        </div>
      </div>
    )
  }
});