(function () {
  "use strict";

  window.App.Views.QueueClusterNodeView = Backbone.Marionette.LayoutView.extend({
    template: "./views/templates/project/queue/queue_cluster_node.html.ejs",
    className: function () {
      var className = "queue-node-wrap clearfix";
      switch (this.model.get("status")) {
        case "free":
          className += " green";
          break;
        case "acquired":
          className += " yellow";
          break;
        case "unavailable":
          className += " red";
          break;
        case "disabled":
          className += " ";
          break;
        default:
          break;
      }
      return className;
    }
  });

})();